#include "vision.h"
#include <bits/stdc++.h>
#define pb push_back
#define f first
#define s second
#define pii pair<int,int>
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2,3};
}

int getMove1d(vector<int> v)
{
	int n=v.size();
	int ind=n/2;
	int val=v[ind]+1;
	if (val==4) val=1;
	if (v[ind-1]==val) return ind-1;
	return ind+1;
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}
pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
